import axios from 'axios'
import store from '@/store' // progress bar style
// import ElementUI from 'element-ui'
// import router from '../router'
// import Vue from 'vue';
/* eslint-disable */
// 默认配置一个api代理转发
axios.defaults.baseURL = '/userApi';
// axios.defaults.baseURL = '/api';

// 跨域请求，允许保存cookie
axios.defaults.withCredentials = true
axios.defaults.headers.common['token'] = 'Bearer ' + store.getters.access_token
axios.defaults.headers.common['Authorization'] = 'bearer ' + store.getters.access_token
// 配置接口返回code不为0时 弹出错误配置信息
axios.interceptors.response.use((config) => {
  // const token = store.getters.access_token
  // if(token){
  //   config.headers.common['token'] = 'Bearer ' + token// token
  //   // console.log('嘻嘻嘻嘻',config,config.headers)
  // }
  return config
}, function (error) {
    if (error.response) {
        if(error.response.status === 401){
          return Promise.reject(error.response.data) 
        }
        if (error.response.data.code === 1 && error.response.status !== 401){
          return Promise.reject(error.response.data) 
        }
      }
  })
  export default axios
  /* eslint-enable */
