import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import '../public/css/iconfont.css';
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';
import * as echarts from 'echarts';
import '../public/css/base.less';
import axios from './axios/index.js'

import VueParticles from 'vue-particles'
Vue.use(VueParticles)
Vue.prototype.$echarts = echarts

Vue.use(Antd);

Vue.config.productionTip = false;
new Vue({
  router,
  store,
  axios,
  render: h => h(App)
}).$mount('#app');
